t9834: remove use of `test_might_fail p4`
The test_must_fail() family of functions (including test_might_fail()) should only be used on git commands. Replace test_might_fail() with a compound command wrapping the old p4 invocation that always returns 0. Signed-off-by: Denton Liu <liu.denton@gmail.com> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Denton Liu committed
Jul 7, 2020 at 02:04 UTC
6e7b0ea864c61288bd5276f3e3cd9250e7a3802d
1 file changed
+1
-1
t/t9834-git-p4-file-dir-bug.sh
+1
-1
index 031e1f8668..dac67e89d7 100755
--- a/t/t9834-git-p4-file-dir-bug.sh
+++ b/t/t9834-git-p4-file-dir-bug.sh
@@ -10,7 +10,7 @@ repository.'
test_expect_success 'start p4d' '
start_p4d &&
- test_might_fail p4 configure set submit.collision.check=0
+ { p4 configure set submit.collision.check=0 || :; }
'
test_expect_success 'init depot' '